summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2018-11-20 11:47:56 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2018-11-20 11:52:26 +0100
commita4a7ed3424bef25c191325dae5dc1420a09e92af (patch)
tree46cb7c5cb8275e3c0cb8bc856abadc4f71e6694b /gnome-extra
parentnet-misc/icaclient: drop PATH from env.d we have a wrapper (diff)
downloadgentoo-a4a7ed3424bef25c191325dae5dc1420a09e92af.tar.gz
gentoo-a4a7ed3424bef25c191325dae5dc1420a09e92af.tar.bz2
gentoo-a4a7ed3424bef25c191325dae5dc1420a09e92af.zip
gnome-extra/gnome-color-manager: 3.24.0 → 3.30.0
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Gilles Dartiguelongue <eva@gentoo.org>
Diffstat (limited to 'gnome-extra')
-rw-r--r--gnome-extra/gnome-color-manager/Manifest1
-rw-r--r--gnome-extra/gnome-color-manager/files/3.28-remove-unwvanted-check.patch24
-rw-r--r--gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0.ebuild82
3 files changed, 107 insertions, 0 deletions
diff --git a/gnome-extra/gnome-color-manager/Manifest b/gnome-extra/gnome-color-manager/Manifest
index 1d4960ae725..0bf1d30ff2d 100644
--- a/gnome-extra/gnome-color-manager/Manifest
+++ b/gnome-extra/gnome-color-manager/Manifest
@@ -1 +1,2 @@
DIST gnome-color-manager-3.24.0.tar.xz 2857120 BLAKE2B c73c3718f77517a41fc74c12347101c57b9939101b2c816cc6390185fb0b21f87d16ed30b17a94f7bd03e28abb4bd5f5d411c086d350659f6686cfffb7e88cf2 SHA512 e145caf4e885ea6e9c4ee5a5b4d800d70af338e26d3bfcda81e20c6144e36d0581638d07099302d30787d6d30e9d58f2b8373f6585ae3788df825d6d24f5b003
+DIST gnome-color-manager-3.30.0.tar.xz 2611088 BLAKE2B 2bbed2184d2c7afa9c4c4cd88470df3350f7deb2d776863dcd18ad6253538f1daee5f6397c598af8bdf1ce720980ede9280891139a9366edaffde3672d64b47a SHA512 ec28179f1089317b5a1920757e81b6126ab42a087831a92cd47174ddfbe6093fa868747c2a1d1d70c23f3fb87bc1b839627160407bf85c936ab0a3b125932ccc
diff --git a/gnome-extra/gnome-color-manager/files/3.28-remove-unwvanted-check.patch b/gnome-extra/gnome-color-manager/files/3.28-remove-unwvanted-check.patch
new file mode 100644
index 00000000000..a9d3ad465a6
--- /dev/null
+++ b/gnome-extra/gnome-color-manager/files/3.28-remove-unwvanted-check.patch
@@ -0,0 +1,24 @@
+From 534eed4f8664c9f263d666ed78144c37dc05bf90 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Sun, 27 May 2018 19:27:51 +0200
+Subject: [PATCH] Fix unwanted exiv check in packagekit option handling
+
+---
+ meson.build | 1 -
+ 1 file changed, 1 deletion(-)
+
+diff --git a/meson.build b/meson.build
+index 9e179fb..08a0f79 100644
+--- a/meson.build
++++ b/meson.build
+@@ -108,7 +108,6 @@ if get_option('exiv')
+ endif
+
+ if get_option('packagekit')
+- libexiv = dependency('exiv2')
+ conf.set('HAVE_PACKAGEKIT', '1')
+ endif
+
+--
+2.19.1
+
diff --git a/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0.ebuild b/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0.ebuild
new file mode 100644
index 00000000000..96714fa094c
--- /dev/null
+++ b/gnome-extra/gnome-color-manager/gnome-color-manager-3.30.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome.org gnome2-utils meson virtualx xdg
+
+DESCRIPTION="Color profile manager for the GNOME desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-color-manager"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="packagekit raw test"
+
+# Need gtk+-3.3.8 for https://bugzilla.gnome.org/show_bug.cgi?id=673331
+# vte could be made optional
+RDEPEND="
+ >=dev-libs/glib-2.31.10:2
+ >=media-libs/lcms-2.2:2
+ >=media-libs/libcanberra-0.10[gtk3]
+ media-libs/libexif
+ media-libs/tiff:0=
+
+ >=x11-libs/gtk+-3.3.8:3
+ >=x11-libs/vte-0.25.1:2.91
+ >=x11-misc/colord-1.3.1:0=
+ >=x11-libs/colord-gtk-0.1.20
+
+ packagekit? ( app-admin/packagekit-base )
+ raw? ( media-gfx/exiv2:0= )
+"
+# docbook-sgml-{utils,dtd:4.1} needed to generate man pages
+DEPEND="${RDEPEND}
+ app-text/docbook-sgml-dtd:4.1
+ app-text/docbook-sgml-utils
+ dev-libs/appstream-glib
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ # https://bugzilla.gnome.org/show_bug.cgi?id=796428
+ "${FILESDIR}"/3.28-remove-unwvanted-check.patch
+)
+
+src_prepare() {
+ xdg_src_prepare
+
+ # Fix hard-coded package name
+ # https://gitlab.gnome.org/GNOME/gnome-color-manager/issues/3
+ sed 's:argyllcms:media-gfx/argyllcms:' src/gcm-utils.h || die
+}
+
+src_configure() {
+ # Always enable tests since they are check_PROGRAMS anyway
+ local emesonargs=(
+ $(meson_use raw exiv)
+ $(meson_use packagekit)
+ $(meson_use test tests)
+ )
+ meson_src_configure
+}
+
+src_test() {
+ virtx meson_src_test
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_icon_cache_update
+
+ if ! has_version media-gfx/argyllcms ; then
+ elog "If you want to do display or scanner calibration, you will need to"
+ elog "install media-gfx/argyllcms"
+ fi
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_icon_cache_update
+}